Subject: Re: [BUG] RTNL and flush_scheduled_work deadlocks

From: Jarek Poplawski <[email-masked]>
Date: Fri, 16 Feb 2007 13:12:45 +0100

On Fri, Feb 16, 2007 at 10:04:25AM +0100, Jarek Poplawski wrote:
> On Fri, Feb 16, 2007 at 12:23:05AM -0800, Ben Greear wrote:
...
> > I don't see how asserting it in the rtnl_lock would help anything, 
> > because at that
> > point we are about to deadlock anyway...  (and this is probably very 
> > rare, as mentioned above.)
> 
> But it's happening now. Probably lockdep is not enough
> and rtnl_lock is probably used in too many places, so I
> meant some additional checks would be possible.

And of course it already could be done by DEBUG_MUTEXES or
DEBUG_SPINLOCK, so I gone too far and it's really bad idea.

Jarek P.